package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFWorkList;
import com.sa.ibiz.demo.demo.service.dto.WFWorkListSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFWorkList] 服务对象接口
 */
public interface WFWorkListService extends IService<WFWorkList>{

	boolean create(WFWorkList et);
	boolean update(WFWorkList et);
	boolean getDraft(WFWorkList et);
	boolean checkKey(WFWorkList et);
		WFWorkList get(WFWorkList et);
	boolean remove(WFWorkList et);
    List<WFWorkList> listMyDB(WFWorkListSearchFilter filter) ;
	Page<WFWorkList> searchMyDB(WFWorkListSearchFilter filter);
    List<WFWorkList> listDefault(WFWorkListSearchFilter filter) ;
	Page<WFWorkList> searchDefault(WFWorkListSearchFilter filter);
	/**	 实体[WFWorkList] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }